Package com.plannaplan.responses.models.abstracts

# Class CoursesResponse

java.lang.Object
com.plannaplan.responses.models.abstracts.CoursesResponse

Direct Known Subclasses:
  `CoursesDefaultResponse`, `CoursesWithGroupsResponse`

    public abstract class CoursesResponse
    extends java.lang.Object

Course entity api response

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CoursesResponse​(com.plannaplan.entities.Course course)` | create instance

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.Long` | `getId()` |
`java.lang.String` | `getName()` |
`java.lang.String` | `getSymbol()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoursesResponse

public CoursesResponse​(com.plannaplan.entities.Course course)
create instance

Parameters:
  `course` - entity to map to api response

## Method Details

### getName

public java.lang.String getName()

Returns:
  course name

### getSymbol

public java.lang.String getSymbol()

Returns:
  course symbol

### getId

public java.lang.Long getId()

Returns:
  db id